Skip to navigation

List automation journeys OAuth Scope: automations:read

Retrieve a list of automation journeys that have occurred within a specific automation.
New: This endpoint now supports cursor-based pagination for better performance and consistency. Use the cursor parameter instead of page for new integrations.
Deprecation Notice: Offset-based pagination (using page parameter) is deprecated and limited to 100 pages maximum. Please migrate to cursor-based pagination. See our Pagination Guide for details.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object
automationIdstringRequiredformat: "^(aut_[0-9a-fA-F\-]+)$"
The prefixed ID of the automation object

Query parameters

statusenumOptionalDefaults to all
Optionally filter the results by the automation journey's status.
Allowed values:
limitintegerOptional
A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
cursorstringOptional

Cursor-based pagination (recommended): Use this opaque cursor token to fetch the next page of results. Obtain it from the next_cursor field of a previous response.

pageintegerOptional

Deprecated: Use cursor instead. Pagination returns the results in pages. Limited to 100 pages maximum.

Response

OK
datalist of objects
limitintegerOptional
The limit placed on the results. If no limit was specified in the request, this defaults to 10.
has_morebooleanOptional

Cursor pagination only: Indicates whether there are more results available after the current page.

next_cursorstringOptional

Cursor pagination only: The cursor token to use for fetching the next page of results. This will be null if has_more is false.

pageintegerOptional>=0Defaults to 1

Offset pagination only: The page number the results are from. Only present when using deprecated offset-based pagination.

total_resultsintegerOptional
The total number of results from all pages.
total_pagesintegerOptional
The total number of pages.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error